Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wsee.reliability
Class WsrmUtils

    java.lang.Object
      weblogic.wsee.reliability.WsrmUtils

    public class WsrmUtils

extends Object

This class is a utility class for using Web Services Reliable Messaging (WSRM). It allows you to do common things such as setting configuration options, getting the sequence id, and terminating a reliable sequence.

Constructor Summary
`WsrmUtils()`

Method Summary
`static Duration` | `getExpires(Stub stub)` This method gets the expiration time that was previously set on the reliable sequence.
`static Duration` | `getOfferExpires(Stub stub)` This method gets the expiration time that was previously set on the offered reliable sequence.
`static String` | `getSequenceId(Stub stub)` This method is to obtain the sequence id on a
`static boolean` | `isAnonymousAck(Stub stub)` This method determines whether anonymous acknowledgement is used.
`static boolean` | `isLastMessage(Stub stub)` This method determines whether the last message property has been previously set.
`static void` | `printSoapMsg(SOAPMessage msg)`
`static void` | `sendEmptyLastMessage(Stub stub)` This method is used to send an empty last message according to the WSRM spec.
`static void` | `setAnonymousAck(Stub stub)` This method allows to use anonymous acknowledgement according to the WSRM specification.
`static void` | `setExpires(Stub stub, Duration duration)` This method sets the expiration time of the reliable sequence on the client side.
`static void` | `setLastMessage(Stub stub)` This method sets the next message sent to be the last message.
`static void` | `setOfferExpires(Stub stub, Duration duration)` This method sets the expiration time of the offered reliable sequence.
`static void` | `terminateSequence(Stub stub)` This method is used to terminate a reliable sequence on the given stub.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsrmUtils

    public WsrmUtils()

Method Detail

### sendEmptyLastMessage

    public static void sendEmptyLastMessage(Stub stub)

  This method is used to send an empty last message according to the WSRM spec. This will complete the reliable sequence. No further reliable message should be sent on this stub.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Throws:
    `JAXRPCException` - This exception is thrown when there are errors in sending the mesage.

### terminateSequence

    public static void terminateSequence(Stub stub)

  This method is used to terminate a reliable sequence on the given stub. No further reliable messages should be sent on this stub.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Throws:
    `JAXRPCException` - This exception is thrown when there are errors in terminating the sequence.

### getSequenceId

    public static String getSequenceId(Stub stub)

  This method is to obtain the sequence id on a

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Returns:
    The sequence id for this reliable sequence. Null will be returned if the sequence has not been established yet.
  Throws:
    `JAXRPCException` - This exception is thrown when there are errors in getting the reliable sequence id.

### setExpires

    public static void setExpires(Stub stub,
                                  Duration duration)

  This method sets the expiration time of the reliable sequence on the client side. This value is then negotiated with the server side value to come up with the final expiration time. If this value is not set, the value specified in the policy file will be used.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
    `duration` - The duration of the reliable sequence.

### getExpires

    public static Duration getExpires(Stub stub)

  This method gets the expiration time that was previously set on the reliable sequence.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Returns:
    The duration of the reliable sequence.

### setOfferExpires

    public static void setOfferExpires(Stub stub,
                                       Duration duration)

  This method sets the expiration time of the offered reliable sequence. If this value is not set, the value specified in the policy file will be used.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
    `duration` - The duration of the reliable sequence.

### getOfferExpires

    public static Duration getOfferExpires(Stub stub)

  This method gets the expiration time that was previously set on the offered reliable sequence.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Returns:
    The duration of the reliable sequence.

### setAnonymousAck

    public static void setAnonymousAck(Stub stub)

  This method allows to use anonymous acknowledgement according to the WSRM specification.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.

### isAnonymousAck

    public static boolean isAnonymousAck(Stub stub)

  This method determines whether anonymous acknowledgement is used.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Returns:
    Whether anonymous acknowledgement is used.

### setLastMessage

    public static void setLastMessage(Stub stub)

  This method sets the next message sent to be the last message.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.

### isLastMessage

    public static boolean isLastMessage(Stub stub)

  This method determines whether the last message property has been previously set.

  Parameters:
    `stub` - The jaxrpc stub that's used to carry the reliable sequence.
  Returns:
    Whether last message property has been set.

### printSoapMsg

    public static void printSoapMsg(SOAPMessage msg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD